VULKAN_HPP_NAMESPACE::FlagTraits< MemoryHeapFlagBits > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(MemoryHeapFlagBits::eDeviceLocal) | VkFlags(MemoryHeapFlagBits::eMultiInstance) }

## Detailed Description

Definition at line 22402 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 22404 of file vulkan.hpp.

{
allFlags = VkFlags(MemoryHeapFlagBits::eDeviceLocal) | VkFlags(MemoryHeapFlagBits::eMultiInstance)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::MemoryHeapFlagBits::eDeviceLocal
@ eDeviceLocal
VULKAN_HPP_NAMESPACE::MemoryHeapFlagBits::eMultiInstance
@ eMultiInstance
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::FlagTraits< MemoryHeapFlagBits >::allFlags
@ allFlags
Definition: vulkan.hpp:22406